#! /usr/bin/env python
# -*- coding: utf-8 -*-
# @creator (C) 2003 Guido U. Draheim
# @license http://creativecommons.org/licenses/by-nc-sa/2.0/de/

import os
import os.path

# for perl chomp(str) use python str.strip() - as whitespaces includes \n

def os_path_isfile(path):
    return os.path.isfile(path)
def os_path_isdir(path):
    return os.path.isdir(path)
def os_path_exists(path):
    return os.access(path, os.F_OK)
def os_path_readable(path):
    return os.access(path, os.R_OK)
def os_path_writable(path):
    return os.access(path, os.W_OK)
def os_path_executable(path):
    return os.access(path, os.W_OK)

# commands.getoutput mangles stderr/stdout, i.e. it would return Popen4()
def os_read_stdout(command):
    return popen2.Popen3(command).fromchild.read()

# and remember, in python it is impossible to do something like
# while line = file.readline() .... Guido van Rossum is stupid rejecting it.
# instead you have to slurp in the entire file as an array using it like
# for line in file.readlines() .... aaarggh! the python guys did even need
# to invent extra classes to handle this common case (named xreadlines).

# P.S. python 2.3 (2003) has added `for line in file` shorthand for xreadlines,
