#! /usr/bin/python
# -*- coding: utf-8 -*-
# @creator (C) 2003 Guido U. Draheim
# @license http://creativecommons.org/licenses/by-nc-sa/2.0/de/

import warnings

class WarnLogger:
    def __init__(self):
        self.warn_count = 0
    def warn(self, msg, error=None):
        self.warn_count += 1
        if error is None:
            warnings.warn("-- "+str(self.warn_count)+" --\n  "+msg,
                          RuntimeWarning, 2)
        else:
            warnings.warn("-- "+str(self.warn_count)+" --\n  "+msg+
                          "\n  error was "+str(error), RuntimeWarning, 2)

g_WarnLogger = WarnLogger()
def warn(msg, error=None):
    global g_WarnLogger
    g_WarnLogger.warn(msg, error)
def warn_count():
    return g_WarnLogger.warn_count
